%define upstream_name  	 Catalyst-Model-DBIC-Schema
%define upstream_version 0.66

%global __requires_exclude perl\\(Catalyst::Model::DBIC::Schema::Types\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    DBIx::Class::Schema Model Class 
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Devel) >= 1.0.0
BuildRequires: perl(Catalyst::Runtime) >= 5.800.50
BuildRequires: perl(CatalystX::Component::Traits) >= 0.140.0
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBIx::Class) >= 0.81.140
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Moose) >= 1.120.0
BuildRequires: perl(MooseX::MarkAsMethods) >= 0.130.0
BuildRequires: perl(MooseX::NonMoose) >= 0.160.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::LoadableClass) >= 0.9.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

Requires:   perl(CatalystX::Component::Traits)
%{?perl_default_filter}

%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*

%changelog
* Sun Sep 10 2023 tv <tv> 0.660.0-1.mga10
+ Revision: 1986016
- update to 0.66

* Sun Mar 20 2022 umeabot <umeabot> 0.650.0-11.mga9
+ Revision: 1808359
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.650.0-10.mga8
+ Revision: 1503516
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.650.0-9.mga7
+ Revision: 1282132
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.650.0-8.mga7
+ Revision: 1167764
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.650.0-7.mga6
+ Revision: 1023220
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.650.0-6.mga6
+ Revision: 949505
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.650.0-5.mga5
+ Revision: 790005
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Sep 06 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 672758
- update to 0.65

* Sun Aug 17 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 664866
- update to 0.64
+ jquelin <jquelin>
- update to 0.63
- update to 0.62
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.610.0-1.mga4
+ Revision: 446861
- update to 0.61

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 363918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.600.0-1.mga3
+ Revision: 261493
- update to 0.60

* Wed Nov 09 2011 jquelin <jquelin> 0.590.0-1.mga2
+ Revision: 165747
- do not ship MYMETA
- update to 0.59

* Thu Nov 03 2011 jquelin <jquelin> 0.580.0-1.mga2
+ Revision: 162184
- update to 0.58

* Mon Sep 26 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 148019
- update to 0.55
- update to 0.54
+ kharec <kharec>
- update to 0.51

* Wed Jun 15 2011 jquelin <jquelin> 0.500.0-1.mga2
+ Revision: 106513
- update to 0.50

* Thu Jan 27 2011 jquelin <jquelin> 0.480.0-2.mga1
+ Revision: 41914
- rebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 41239
- mageia rebuild
- imported package perl-Catalyst-Model-DBIC-Schema

